$(document).ready(function () {
	function abortSelect() {
		$('div#block_test_select').html('<select id="test_select" name="test_select"><option value=""></option><option value="1">    value=1</option><option value="2">    value=2</option><option value="3">    value=3</option><option value="4">    value=4</option><option value="5">    value=5</option><option value="6">    value=6</option></select><input type="button" id="abort" name="abort" value="" />');
	}
	
	// 1 -    
	$(document).on('click', 'input#button_1', function() {
		alert($('select#test_select').val());
	});
	
	// 2 -      
	$(document).on('click', 'input#button_2', function() {
		alert($('select#test_select :selected').text());
	});
	
	// 3 -  <select> 
	$(document).on('click', 'input#button_3', function() {
		$('select#test_select').attr('disabled',true);
	});
	
	// 4 -  <select>
	$(document).on('click', 'input#button_4', function() {
		$('select#test_select').attr('disabled',false);
	});
	
	// 5 -   
	$(document).on('click', 'input#button_5', function() {
		$('select#test_select :selected').remove();
	});
	
	// 6 -   
	$(document).on('click', 'input#button_6', function() {
		$('select#test_select :first').remove();
	});
	
	// 7 -   
	$(document).on('click', 'input#button_7', function() {
		$('select#test_select :last').remove();
	});
	
	// 8 -  ,   value='2'
	$(document).on('click', 'input#button_8', function() {
		$("select#test_select option[value='2']"). remove();
	});
	
	// 9 -    <select>
	$(document).on('click', 'input#button_9', function() {
		$('select#test_select').empty();
	});
	
	// 10 -     <select>
	$(document).on('click', 'input#button_10', function() {
		$('select#test_select option').each(function(){
			alert(this.text);
		});
	});
	
	// 11 -    
	$(document).on('click', 'input#button_11', function() {
		$('select#test_select :last').attr('selected', 'selected');
	});
	
	// 12 -    
	$(document).on('click', 'input#button_12', function() {
		$('select#test_select :nth-child(2)').attr('selected', 'selected');
	});
	
	// 13 -   ,   '    value=2'
	$(document).on('click', 'input#button_13', function() {
		$("select#test_select :contains('    value=2')").attr("selected", "selected");
	});
	
	// 14 -   , value  = 2
	$(document).on('click', 'input#button_14', function() {
		$("select#test_select [value='2']").attr("selected", "selected");
	});
	
	// 15 -      <select>
	$(document).on('click', 'input#button_15', function() {
		$('select#test_select').prepend( $('<option value="0">    value=0</option>'));
	});
	
	// 16 -      <select>
	$(document).on('click', 'input#button_16', function() {
		$('select#test_select').append( $('<option value="7">    value=7</option>'));
	});
	
	// 17 -     
	$(document).on('click', 'input#button_17', function() {
		$('select#test_select option:nth-child(2)').after($('<option value="22">twotwo</option>'));
	});
	
	// 18 -   option   <select>
	$(document).on('click', 'input#button_18', function() {
		alert($('select[id=test_select] option').size());
	});
	
	// 19 - ,      <select>
	$(document).on('click', 'input#button_19', function() {
		if ($('select#test_select').val()) {
			alert('    ');
		} else {
			alert('      ');
		}
	});
	
	// 20 -      <select>  
	$(document).on('click', 'input#button_20', function() {
		$('select#test_select option:selected').each(function(){
			this.selected=false;
		});
	});
	
	// 21 -    option   <select>  
	$(document).on('click', 'input#button_21', function() {
		var newOptions = {"key_1": "test 1", "key_2": "test 2"};
		$.each(newOptions, function(key, value) {
			$('select#test_select').append($(new Option(key, value)));
		});
	});
	
	$(document).on('click', 'input#abort', function() {
		abortSelect();
	});
});